Skip to main content
POST
Generate a TTS audio preview

Authorizations

X-API-KEY
string
header
required

Path Parameters

agentId
string
required

Body

application/json

Text, language, and provider-specific config for synthesizing a short audio sample.

text
string
required

Text to synthesize

language
string
required

BCP-47 language tag, e.g. 'en-US'

config
object
required

Provider-specific synthesis config

provider
string | null
default:eleven_labs

TTS provider key, e.g. 'eleven_labs', 'cartesia'

storeOnS3
boolean | null

Store audio on S3 and return a presigned URL

Response

Successful response

A synthesized audio sample and the text it was generated from.

url
string
required

URL of the generated audio

text
string
required

Text that was synthesized

Last modified on November 12, 2026